// EdSlider.cpp : implementation file
//

#include "stdafx.h"
#include "mw4gameed2.h"
#include "EdSlider.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEdSlider

CEdSlider::CEdSlider()
{
}

CEdSlider::~CEdSlider()
{
}


BEGIN_MESSAGE_MAP(CEdSlider, CSliderCtrl)
	//{{AFX_MSG_MAP(CEdSlider)
	ON_WM_CHAR()
	ON_WM_KEYDOWN()
	ON_WM_CHARTOITEM()
	ON_WM_DEADCHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEdSlider message handlers

void CEdSlider::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	
//	CSliderCtrl::OnChar(nChar, nRepCnt, nFlags);
}

void CEdSlider::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	
//	CSliderCtrl::OnKeyDown(nChar, nRepCnt, nFlags);
}

LRESULT CEdSlider::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CSliderCtrl::WindowProc(message, wParam, lParam);
}

int CEdSlider::OnCharToItem(UINT nChar, CListBox* pListBox, UINT nIndex) 
{
	// TODO: Add your message handler code here and/or call default
	
	return CSliderCtrl::OnCharToItem(nChar, pListBox, nIndex);
}

void CEdSlider::OnDeadChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	
	CSliderCtrl::OnDeadChar(nChar, nRepCnt, nFlags);
}
